.a7-box-wrapper {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 3rem;
    padding-bottom: 7rem;
}


.a7-box {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.a7-circle {
    position: relative;
}

.a7-10 {
    position: absolute;
    top: 0; left: -10%;
    z-index: 3;
}

.a7-pie {
    position: absolute;
    top: 0; left: 0;
    opacity: 0;
    transform: rotate(-180deg); 
    animation: spin .8s ease both;
    z-index: 2;
}

@keyframes spin { 
    100% {
        opacity: 1;
        transform: rotate(0);
    }
}

.a7-p-text {
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    animation: a8-0 .5s .6s ease both;
}

.a7-vertical {
    width: 1px;
    background-color: #aaa;
}

.a7-bottom {
    position: absolute;
    bottom: 0; right: 90px;
    color: #222;
    font-size: 22px;
    text-align: right;
    margin-top: 4rem;
}



/*==================================================*/
@media (max-width: 1250px) {
    .article7 {
        padding-bottom: 100px;
    }
    
    .a7-box-wrapper {
        padding: 0 20px;
        gap: 2rem;
    }

    .a7-circle {
        width: 85%;
    }

    .a7-10 {
        width: 35%;
    }

    .a7-p-text {
        width: 30%;
    }

    .a7-bottom {
        bottom: -50px;
        right: 20px;
    }
}



@media (max-width: 550px) {
    .article7 {
        padding-bottom: 60px;
    }
    
    .a7-box-wrapper {
        flex-direction: column;
        gap: 5rem;
        margin-top: 2rem;
    }

    .a7-vertical {
        display: none;
    }

    .a7-box {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .a7-circle {
        width: 75%;
    }

    .a7-bottom {
        position: static;
        width: 100%;
        font-size: 15px;
        text-align: center;
        margin-top: 0;
    }
}